Subject: Re: bug#17087: cp -i/yes gets ignored

From: Pádraig Brady <[email-masked]>
Date: Thu, 27 Mar 2014 12:46:34 +0000

On 03/27/2014 07:13 AM, Bernhard Voelker wrote:
> On 03/26/2014 03:20 PM, Pádraig Brady wrote:
>> On 03/26/2014 01:26 PM, Bernhard Voelker wrote:
>>> FAIL: tests/mv/i-3
>>> ==================
>>
>> That's an interesting one. I guess our CI didn't flag this
>> as the test is skipped without a controlling tty:
>> http://hydra.nixos.org/jobset/gnu/coreutils-master
>>
>> Also the test is skipped with a parallel make check!
>> I.E. this first command detects the fail, while the second skips the test:
>>   $ make -j2 check TESTS="tests/mv/i-3.sh"
>>   $ make -j2 check TESTS="tests/mv/i-2.sh tests/mv/i-3.sh"
>>
>> So to handle both cases I'm updating the "release tasks" list to:
>>   setsid make check $(($(nproc) * 2)) # tests without controlling tty
>>   make check -j1 # tests with controlling tty
> 
> Thanks.
> What about a ---presume-input-tty option for mv(1) like rm(1) has?

Good point, though probably not worth it.
There is only 1 mv test dependent on tty
while there are 5 rm tests dependent on tty.
We should add ---presume-input-tty if we add more tests like that though.

thanks,
Pádraig.